Error
A valid request URL is required to generate request examples{
"deletedCount": 100
}{
"timestamp": "2025-01-15T10:30:00.000Z",
"status": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/operations/measurements/by-file",
"fieldErrors": {
"spacecraftId": "spacecraftId is required"
}
}{
"error": "invalid_token",
"error_description": "An error occurred while attempting to decode the Jwt"
}{
"timestamp": "2025-01-15T10:30:00.000Z",
"status": 403,
"error": "ACCESS_ERROR",
"message": "Access denied",
"path": "/operations/measurements/by-file"
}{
"timestamp": "2025-01-15T10:30:00.000Z",
"status": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred",
"path": "/operations/measurements/by-file"
}Measurements
Delete measurements by source file
Permanently deletes all measurements for a spacecraft from a specific source file. This is useful when an uploaded file contains incorrect data. WARNING: This operation cannot be undone. Returns 200 with deletedCount=0 if no matching measurements are found.
DELETE
/
operations
/
measurements
/
by-file
Error
A valid request URL is required to generate request examples{
"deletedCount": 100
}{
"timestamp": "2025-01-15T10:30:00.000Z",
"status": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/operations/measurements/by-file",
"fieldErrors": {
"spacecraftId": "spacecraftId is required"
}
}{
"error": "invalid_token",
"error_description": "An error occurred while attempting to decode the Jwt"
}{
"timestamp": "2025-01-15T10:30:00.000Z",
"status": 403,
"error": "ACCESS_ERROR",
"message": "Access denied",
"path": "/operations/measurements/by-file"
}{
"timestamp": "2025-01-15T10:30:00.000Z",
"status": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred",
"path": "/operations/measurements/by-file"
}Authorizations
API Key (format: vsp_sk_...)
Query Parameters
Spacecraft identifier
Source file name to delete measurements from
Response
Measurements deleted successfully
Response for bulk deletion of measurements by source file
Number of measurements permanently deleted
Example:
100
Was this page helpful?